Subject: Re: [PATCH 0/3] Revert "virtio_net: rx enable premapped mode by default"

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 9 Oct 2024 06:23:43 -0400

On Wed, Oct 09, 2024 at 06:00:47PM +0800, Xuan Zhuo wrote:
> On Wed, 9 Oct 2024 05:29:35 -0400, "Michael S. Tsirkin" <[email-masked]> wrote:
> > On Fri, Sep 06, 2024 at 08:31:34PM +0800, Xuan Zhuo wrote:
> > > Regression: http://lore.kernel.org/all/[email-masked]
> > >
> > > I still think that the patch can fix the problem, I hope Darren can re-test it
> > > or give me more info.
> > >
> > >     http://lore.kernel.org/all/[email-masked]
> > >
> > > If that can not work or Darren can not reply in time, Michael you can try this
> > > patch set.
> > >
> > > Thanks.
> >
> > It's been a month - were you going to post patches fixing bugs in premap
> > and then re-enabling this?
> 
> [1] was tried to fix the bug in premapped mode.
> 
> We all wait the re-test from Darren.
> 
> But Jason and Takero have tested it.
> 
> If you do not want to wait Darren, we can discuss [1] or add it to your next
> branch for more test.
> 
> Thanks.
> 
> [1]: http://lore.kernel.org/all/[email-masked]
> 
> 
> >
> > Thanks!
> >
> >
> > > Xuan Zhuo (3):
> > >   Revert "virtio_net: rx remove premapped failover code"
> > >   Revert "virtio_net: big mode skip the unmap check"
> > >   virtio_net: disable premapped mode by default
> > >
> > >  drivers/net/virtio_net.c | 95 +++++++++++++++++++---------------------
> > >  1 file changed, 46 insertions(+), 49 deletions(-)
> > >
> > > --
> > > 2.32.0.3.g01195cf9f
> > >
> >

I suggest you post a patchset you want me to apply on top of master.

-- 
MST